Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can render Emacs unusable

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 08 Nov 2019 21:54:57 +0100

Eli Zaretskii <[email-masked]> writes:

>> But we don't do this with errors that happen in other circumstances --
>> just the filter errors, I think?
>
> Because reception of process output is not necessarily a frequent
> event, so we want to be sure the user had enough time to see the
> message.

But why filters in particular?  As I said, we don't do this with any
other errors, including run-at-time (which is usually not a frequent
thing at all).

> I understand that it pissed you off, but the situation where it
> happened will be resolved by the automatic disabling, so your past
> annoyance doesn't need to affect anything else.  IOW, I think you are
> over-reacting here.

I'm not pissed off?  :-)

I just think that Emacs should behave consistently.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no